PipeWire: filter Struct Reference

PipeWire 0.3.1

Data Fields
filter Struct Reference
Collaboration diagram for filter:
[legend]

## Data Fields
struct pw_filter | this
const char * | path
struct pw_context * | context
enum pw_filter_flags | flags
struct spa_node | impl_node
struct spa_hook_list | hooks
struct spa_callbacks | callbacks
struct spa_io_position * | position
struct spa_list | port_list
struct port * | ports [2][MAX_PORTS]
uint32_t | change_mask_all
struct spa_node_info | info
struct spa_list | param_list
struct spa_param_info | params [5]
struct data | data
uintptr_t | seq
struct pw_time | time
unsigned int | disconnecting:1
unsigned int | free_proxy:1
unsigned int | subscribe:1
unsigned int | draining:1
unsigned int | allow_mlock:1

## Field Documentation

## ◆ allow_mlock

unsigned int filter::allow_mlock

## ◆ callbacks

struct spa_callbacks filter::callbacks

## ◆ change_mask_all

uint32_t filter::change_mask_all

## ◆ context

struct pw_context* filter::context

## ◆ data

struct data filter::data

## ◆ disconnecting

unsigned int filter::disconnecting

## ◆ draining

unsigned int filter::draining

## ◆ flags

enum pw_filter_flags filter::flags

Referenced by pw_filter_connect().

## ◆ free_proxy

unsigned int filter::free_proxy

## ◆ hooks

struct spa_hook_list filter::hooks

## ◆ impl_node

struct spa_node filter::impl_node

## ◆ info

struct spa_node_info filter::info

## ◆ param_list

struct spa_list filter::param_list

## ◆ params

struct spa_param_info filter::params[5]

## ◆ path

const char* filter::path

## ◆ port_list

struct spa_list filter::port_list

## ◆ ports

struct port* filter::ports[2][MAX_PORTS]

## ◆ position

struct spa_io_position* filter::position

## ◆ seq

uintptr_t filter::seq

## ◆ subscribe

unsigned int filter::subscribe

## ◆ this

struct pw_filter filter::this

## ◆ time

struct pw_time filter::time

Referenced by pw_filter_get_time().

The documentation for this struct was generated from the following file:

- filter.c